Information Exposure Affecting com.jetbrains:mps Open this link in a new tab package, versions [,2019.2.2)


0.0
critical
  • Attack Complexity

    Low

  • Confidentiality

    High

  • Integrity

    High

Do your applications use this vulnerable package?

In a few clicks we can analyze your entire application and see what components are vulnerable in your application, and suggest you quick fixes.

Test your applications
  • snyk-id

    SNYK-JAVA-COMJETBRAINS-474638

  • published

    31 Oct 2019

  • disclosed

    31 Oct 2019

  • credit

    Unknown

How to fix?

Upgrade com.jetbrains:mps to version 2019.2.2 or higher.

Overview

com.jetbrains:mps is a JetBrains' Meta programming System

Affected versions of this package are vulnerable to Information Exposure. It exposed listening ports to the network allowing potential data exfiltration on unintentional information exposure.